nimService:
  name: "{{ .Name }}"
  existingAuthSecret: "$INFISICAL_SECRET"
  existingPVC: ""

  env:
    - name: NIM_PEFT_SOURCE
      value: http://nemo-entity-store.nemo:8000
    - name: NIM_SERVED_MODEL_NAME
      value: "$nimService.modelName"
    - name: NIM_MODEL_NAME
      value: "$nimService.modelName"
    - name: NIM_PEFT_REFRESH_INTERVAL
      value: "30"  

image:
  repository: "$image.repository"
  pullPolicy: IfNotPresent
  tag: "$image.tag"

imagePullSecrets:
  - name: nvcrimagepullsecret
    registry: nvcr.io
    username: "$oauthtoken"
    password: "$imagePullSecrets.password"